getMultipleAccounts
Authorizations
AuthorizationstringOptional
Pass Authorization: <api-key> on each request.
Body
jsonrpcstring · enumRequiredExample:
JSON-RPC protocol version.
2.0Possible values: idone ofRequiredExample:
Request identifier echoed back in the response.
1stringOptional
integerOptional
methodstring · enumRequiredExample:
Must be getMultipleAccounts.
getMultipleAccountsPossible values: Responses
200
Successful getMultipleAccounts response.
application/json
Base envelope of every JSON-RPC 2.0 response.
jsonrpcstring · enumRequiredExample:
2.0Possible values: idone ofRequiredExample:
Echoed request id.
1stringOptional
integerOptional
401
Authentication required or invalid.
application/json
403
Insufficient permissions for the request.
application/json
429
Rate limit exceeded for this tier.
application/json
500
Unexpected server error.
application/json
post/
curl -X POST https://public.rpc.solanavibestation.com \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getMultipleAccounts",
"params": [
[
"83astBRguLMdt2h5U1Tpdq5tjFoJ6noeGwaY3mDLVcri",
"11111111111111111111111111111111"
],
{
"encoding": "base64"
}
]
}'{
"jsonrpc": "2.0",
"id": 1,
"result": {
"context": {
"slot": 416997240,
"apiVersion": "3.1.10"
},
"value": [
{
"lamports": 1000000,
"owner": "11111111111111111111111111111111",
"executable": false,
"rentEpoch": 0,
"space": 0,
"data": [
"",
"base64"
]
},
null
]
}
}Last updated